<?xml version="1.0"?>
<?xml-stylesheet type="text/css" href="http://docs.hostway.com/skins/common/feed.css?303"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
		<id>http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Accounts-accountNumber-web-domainName-ftps%3AGET</id>
		<title>Accounts-accountNumber-web-domainName-ftps:GET - Revision history</title>
		<link rel="self" type="application/atom+xml" href="http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Accounts-accountNumber-web-domainName-ftps%3AGET"/>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountNumber-web-domainName-ftps:GET&amp;action=history"/>
		<updated>2026-04-05T21:57:54Z</updated>
		<subtitle>Revision history for this page on the wiki</subtitle>
		<generator>MediaWiki 1.18.0</generator>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Accounts-accountNumber-web-domainName-ftps:GET&amp;diff=2058&amp;oldid=prev</id>
		<title>Mike.robski: 1 revision: Release 105</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountNumber-web-domainName-ftps:GET&amp;diff=2058&amp;oldid=prev"/>
				<updated>2015-04-03T17:57:24Z</updated>
		
		<summary type="html">&lt;p&gt;1 revision: Release 105&lt;/p&gt;
&lt;table class='diff diff-contentalign-left'&gt;
		&lt;tr valign='top'&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;← Older revision&lt;/td&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;Revision as of 17:57, 3 April 2015&lt;/td&gt;
		&lt;/tr&gt;&lt;/table&gt;</summary>
		<author><name>Mike.robski</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Accounts-accountNumber-web-domainName-ftps:GET&amp;diff=2057&amp;oldid=prev</id>
		<title>Philip.rittscher: changed from FTPS to FTP</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountNumber-web-domainName-ftps:GET&amp;diff=2057&amp;oldid=prev"/>
				<updated>2015-03-17T18:38:17Z</updated>
		
		<summary type="html">&lt;p&gt;changed from FTPS to FTP&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;= GET /accounts/{accountNumber}/web/{domainName}/ftp =&lt;br /&gt;
Returns a list of ftp accounts for the website.&lt;br /&gt;
&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /accounts/{accountNumber}/web/{domainName}/ftp&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
; accountNumber - ''string''&lt;br /&gt;
: The user account of the web site owner&lt;br /&gt;
; domainName - ''string''&lt;br /&gt;
: The domain name of the website&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
{{Authorization}}&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
   &amp;quot;users&amp;quot;:&lt;br /&gt;
   [&lt;br /&gt;
       {&lt;br /&gt;
           &amp;quot;username&amp;quot;: &amp;quot;{username}&amp;quot;,&lt;br /&gt;
           &amp;quot;type&amp;quot;: &amp;quot;{ftpAccountType}&amp;quot;&lt;br /&gt;
       },&lt;br /&gt;
       ...&lt;br /&gt;
   ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Response parameters ====&lt;br /&gt;
&lt;br /&gt;
; username - ''string''&lt;br /&gt;
: The username of the ftp account&lt;br /&gt;
; ftpAccountType - ''string''&lt;br /&gt;
: The type of the ftp account, one of &amp;quot;www.account.master&amp;quot;, &amp;quot;www.account.ftp&amp;quot;, &amp;quot;www.account.subftp&amp;quot;. There is always one master account which can't be deleted. There are also regular ftp accounts and sub dir ftp accounts associated with a sub folder (currently folder name is the same as the username).&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
; 200 OK&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
; 401 Unauthorized&lt;br /&gt;
: The supplied credentials are invalid or do not provide permissions for this operation&lt;br /&gt;
&lt;br /&gt;
; 403 Forbidden&lt;br /&gt;
: The authenticated user is not allowed to access this resource&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Listing the ftp accounts for a website ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET /accounts/acct411359/web/ng-test-website1-20150305-0734.us/ftp&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
   &amp;quot;users&amp;quot;:&lt;br /&gt;
   [&lt;br /&gt;
       {&lt;br /&gt;
           &amp;quot;username&amp;quot;: &amp;quot;ng-test-website1-35&amp;quot;,&lt;br /&gt;
           &amp;quot;type&amp;quot;: &amp;quot;www.account.master&amp;quot;&lt;br /&gt;
       },&lt;br /&gt;
       {&lt;br /&gt;
           &amp;quot;username&amp;quot;: &amp;quot;testftp1&amp;quot;,&lt;br /&gt;
           &amp;quot;type&amp;quot;: &amp;quot;www.account.ftp&amp;quot;&lt;br /&gt;
       },&lt;br /&gt;
       {&lt;br /&gt;
           &amp;quot;username&amp;quot;: &amp;quot;testsubftp1&amp;quot;,&lt;br /&gt;
           &amp;quot;type&amp;quot;: &amp;quot;www.account.subftp&amp;quot;&lt;br /&gt;
       }&lt;br /&gt;
   ]&lt;br /&gt;
}&lt;br /&gt;
&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Web API]]&lt;/div&gt;</summary>
		<author><name>Philip.rittscher</name></author>	</entry>

	</feed>